%define major 3
%define libguac %mklibname guac %{major}

%define develname %mklibname %{name} -d

%global _hardened_build 1

Name:           libguac
Version:        0.6.0
Release:        %mkrel 4
Summary:        Server-side native components that form the Guacamole proxy
Group:          Networking/Other

License:        MPLv1.1 or GPLv2+
URL:            http://guac-dev.org/
Source0:        http://guac-dev.org/pub/dist/source/%{name}-%{version}.tar.gz
Patch0:         libguac-0.6.0-fix-gcc5.diff
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  doxygen
BuildRequires:  libtool
BuildRequires:  pkgconfig(cairo)
#BuildRequires:  pkgconfig(freerdp) >= 1.0.2
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libssh)
BuildRequires:  pkgconfig(libssl)
BuildRequires:  pkgconfig(libvncserver)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(vorbis)

%description
Guacamole is an HTML5 remote desktop gateway.

Guacamole provides access to desktop environments using remote desktop protocols
like VNC and RDP. A centralized server acts as a tunnel and proxy, allowing
access to multiple desktops through a web browser.

No browser plugins are needed, and no client software needs to be installed. The
client requires nothing more than a web browser supporting HTML5 and AJAX.

The main web application is provided by the "guacamole-client" package.

%package -n %libguac
Summary:        The common library used by all C components of Guacamole

%description -n %libguac
libguac is the core library for guacd (the Guacamole proxy) and any protocol
support plugins for guacd. libguac provides efficient buffered I/O of text and
base64 data, as well as somewhat abstracted functions for sending Guacamole
instructions.

%package -n libguac-devel
Summary:        Development files for %{name}
Requires:       %libguac = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n libguac-devel
The libguac-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x
%make

cd doc/
doxygen Doxyfile

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete
find %{buildroot} -type f -name "*.a" -delete

%files -n %libguac
%doc AUTHORS LICENSE README
%{_libdir}/libguac.so.%{major}{,.*}

%files -n libguac-devel
%{_includedir}/*
%{_libdir}/libguac.so





%changelog
* Thu Apr 28 2016 daviddavid <daviddavid> 0.6.0-4.mga6
+ Revision: 1007086
- disable freerdp support temporarily

* Mon Feb 15 2016 umeabot <umeabot> 0.6.0-3.mga6
+ Revision: 961033
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 neoclust <neoclust> 0.6.0-2.mga6
+ Revision: 874649
- imported package libguac


* Thu Nov 06 2014 nlecureuil <nlecureuil> 0.6.0-2.mbs1
+ Revision: 141541
- Branch eva in factory
- Add provides
- Change default port
- imported package libguac

